import React from "react";
import Track from "../model/track.model";

const TrackDisplay: React.FC<TrackDisplayProps> = ({track}) => {
    return (
        <div>
            <p>{track.name} - {track.authors.join(" and ")}</p>
        </div>
    );
};

export interface TrackDisplayProps {
    track: Track
}

export default TrackDisplay;