export default class Track {
    private readonly _id: string;
    private readonly _trackId: string;
    private readonly _name: string;
    private readonly _authors: string[];

    public constructor(id: string, trackId: string, name: string, authors: string[]) {
        this._id = id;
        this._trackId = trackId;
        this._name = name;
        this._authors = authors;
    }

    public get id(): string {
        return this._id;
    }

    public get trackId(): string {
        return this._trackId;
    }

    public get name(): string {
        return this._name;
    }

    public get authors(): string[] {
        return this._authors;
    }
}