export default class ExternalTrack {
    private readonly _trackId: string;
    private readonly _name: string;
    private readonly _albumName: string;
    private readonly _authors: string[];
    private readonly _thumbnailUrl: string;
    private readonly _previewUrl: string;

    public constructor(trackId: string, name: string, albumName: string, authors: string[], thumbnailUrl: string, previewUrl: string) {
        this._trackId = trackId;
        this._name = name;
        this._albumName = albumName;
        this._authors = authors;
        this._thumbnailUrl = thumbnailUrl;
        this._previewUrl = previewUrl;
    }

    public get trackId(): string {
        return this._trackId;
    }

    public get name(): string {
        return this._name;
    }

    public get albumName(): string {
        return this._albumName;
    }

    public get authors(): string[] {
        return this._authors;
    }

    public get thumbnailUrl(): string {
        return this._thumbnailUrl;
    }

    public get previewUrl(): string {
        return this._previewUrl;
    }
}